QTEST(1)

NAME
qtest - Inline (Unit) Tests for OCaml

DESCRIPTION
USAGE: qtest [options] extract <file.mli?>...

  OPTIONS:

-o

--output
    <path> (default: standard output) Open or create a file for output; the resulting file will be an OCaml source file containing all the tests

-p

--preamble
    <string> (default: empty) Add code to the tests preamble; typically this will be an instruction of the form 'open Module'

--preamble-file
    <path> Add the contents of the given file to the tests preamble

--run-only
    <function name> Only generate tests pertaining to this function, as indicated by the test header

--shuffle
    (default: turned off) Toggle test execution order randomisation; submodules using injection are not shuffled

-help
    Display this list of options

--help
    Display this list of options